Debian Bug report logs - #642703
general: Scan lines appear in drop-down menus. LibreOffice also shows artifacts when starting. Might be something to do with the version of fglrx.

Package: fglrx-driver; Maintainer for fglrx-driver is Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>; Source for fglrx-driver is src:fglrx-driver.

Reported by: Jack Saunders <saunders.jack@gmail.com>

Date: Sat, 24 Sep 2011 17:45:01 UTC

Severity: normal

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, saunders.jack@gmail.com, debian-devel@lists.debian.org:
Bug#642703; Package general. (Sat, 24 Sep 2011 17:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jack Saunders <saunders.jack@gmail.com>:
New Bug report received and forwarded. Copy sent to saunders.jack@gmail.com, debian-devel@lists.debian.org. (Sat, 24 Sep 2011 17:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jack Saunders <saunders.jack@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: general: Scan lines appear in drop-down menus. LibreOffice also shows artifacts when starting. Might be something to do with the version of fglrx.
Date: Sat, 24 Sep 2011 19:40:50 +0100
Package: general
Severity: normal



   Accessing drop-down menus in LibreOffice shows scan lines.
   Starting LibreOffice shows artifacts on-screen. Then loads OK
   * What was the outcome of this action?
   * What outcome did you expect instead?




-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#642703; Package general. (Sat, 24 Sep 2011 23:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philip Ashmore <contact@philipashmore.com>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Sat, 24 Sep 2011 23:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 642703@bugs.debian.org (full text, mbox):

From: Philip Ashmore <contact@philipashmore.com>
To: 642703@bugs.debian.org
Subject: Re: general: Scan lines appear in drop-down menus. LibreOffice also shows artifacts when starting. Might be something to do with the version of fglrx.
Date: Sun, 25 Sep 2011 00:35:15 +0100
Hi there.

Do you have swap space enabled?

How much memory do you have?

I get this problem, including font corruption (one or two characters per 
font), whenever I run something that causes the system to start using 
swap space.

For me, it seems to happen most to Gnome apps, including Google Chrome.

Did you notice excessive hard disk activity when you started the 
program, I mean, apart from the activity involved in loading the program.

Check: try closing other programs first, starting LibreOffice, and see 
if there's any difference.

Regards,
Philip




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#642703; Package general. (Sun, 25 Sep 2011 12:05:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Sun, 25 Sep 2011 12:05:17 GMT) Full text and rfc822 format available.

Message #15 received at 642703@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 642703@bugs.debian.org, fglrx-driver@packages.debian.org
Subject: Re: Bug#642703: general: Scan lines appear in drop-down menus. LibreOffice also shows artifacts when starting. Might be something to do with the version of fglrx.
Date: Sun, 25 Sep 2011 14:02:44 +0200
reassign 642703 fglrx-driver
thanks
On Samstag, 24. September 2011, Jack Saunders wrote:
> Package: general
> Severity: normal
> 
> 
> 
>    Accessing drop-down menus in LibreOffice shows scan lines.
>    Starting LibreOffice shows artifacts on-screen. Then loads OK
>    * What was the outcome of this action?
>    * What outcome did you expect instead?
> 
> 
> 
> 
> -- System Information:
> Debian Release: wheezy/sid
>   APT prefers testing
>   APT policy: (500, 'testing')
> Architecture: amd64 (x86_64)
> 
> Kernel: Linux 3.0.0-1-amd64 (SMP w/1 CPU core)
> Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash





Bug reassigned from package 'general' to 'fglrx-driver'. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sun, 25 Sep 2011 12:05:26 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#642703; Package fglrx-driver. (Sun, 25 Sep 2011 12:30:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philip Ashmore <contact@philipashmore.com>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Sun, 25 Sep 2011 12:30:56 GMT) Full text and rfc822 format available.

Message #22 received at 642703@bugs.debian.org (full text, mbox):

From: Philip Ashmore <contact@philipashmore.com>
To: 642703@bugs.debian.org
Subject: Re: Bug#642703: general: Scan lines appear in drop-down menus. LibreOffice also shows artifacts when starting. Might be something to do with the version of fglrx.
Date: Sun, 25 Sep 2011 13:18:50 +0100
Oops! I should have mentioned, I've got Intel GM965/GL960 graphics on my 
laptop.

Philip




Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#642703; Package fglrx-driver. (Sun, 25 Sep 2011 12:36:54 GMT) Full text and rfc822 format available.

Acknowledgement sent to pmatthaei@debian.org:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Sun, 25 Sep 2011 12:36:54 GMT) Full text and rfc822 format available.

Message #27 received at 642703@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: Philip Ashmore <contact@philipashmore.com>, 642703@bugs.debian.org, control@bugs.debian.org
Subject: Re: [Pkg-fglrx-devel] Bug#642703: general: Scan lines appear in drop-down menus. LibreOffice also shows artifacts when starting. Might be something to do with the version of fglrx.
Date: Sun, 25 Sep 2011 14:32:32 +0200
reassign #642703 general
thanks


hmkay

Am 25.09.2011 14:18, schrieb Philip Ashmore:
> Oops! I should have mentioned, I've got Intel GM965/GL960 graphics on 
> my laptop.
>
> Philip
>
>
>
> _______________________________________________
> Pkg-fglrx-devel mailing list
> Pkg-fglrx-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-fglrx-devel





Bug reassigned from package 'fglrx-driver' to 'general'. Request was from Patrick Matthäi <pmatthaei@debian.org> to control@bugs.debian.org. (Sun, 25 Sep 2011 12:38:49 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#642703; Package general. (Sun, 25 Sep 2011 20:31:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Sun, 25 Sep 2011 20:31:23 GMT) Full text and rfc822 format available.

Message #34 received at 642703@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 642703@bugs.debian.org
Cc: fglrx-driver@packages.debian.org
Subject: Re: general: Scan lines appear in drop-down menus. LibreOffice also shows artifacts when starting. Might be something to do with the version of fglrx.
Date: Sun, 25 Sep 2011 15:29:42 -0500
reassign 642703 fglrx-driver
quit

Joachim Breitner wrote:
> Am Sonntag, den 25.09.2011, 00:35 +0100 schrieb Philip Ashmore:

>> I get this problem, including font corruption (one or two characters per 
>> font), whenever I run something that causes the system to start using 
>> swap space.
>
> Same here, on a Intel GM45 chipset in a Thinkpad T400, using the free
> Intel driver (so not sure if Holger’s re-assignment to fglrx-driver is
> correct).

FWIW, the bug you're describing in the free Intel driver is tracked
at [1].

Thanks,
Jonathan

[1] http://bugs.debian.org/641665




Bug reassigned from package 'general' to 'fglrx-driver'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 25 Sep 2011 20:31:25 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#642703; Package fglrx-driver. (Sun, 25 Sep 2011 20:43:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to pmatthaei@debian.org:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Sun, 25 Sep 2011 20:43:13 GMT) Full text and rfc822 format available.

Message #41 received at 642703@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 642703@bugs.debian.org, fglrx-driver@packages.debian.org
Subject: Re: [Pkg-fglrx-devel] general: Scan lines appear in drop-down menus. LibreOffice also shows artifacts when starting. Might be something to do with the version of fglrx.
Date: Sun, 25 Sep 2011 22:40:18 +0200
[Message part 1 (text/plain, inline)]
On 25.09.2011 22:29, Jonathan Nieder wrote:
> reassign 642703 fglrx-driver
> quit
> 
> Joachim Breitner wrote:
>> Am Sonntag, den 25.09.2011, 00:35 +0100 schrieb Philip Ashmore:
> 
>>> I get this problem, including font corruption (one or two characters per 
>>> font), whenever I run something that causes the system to start using 
>>> swap space.
>>
>> Same here, on a Intel GM45 chipset in a Thinkpad T400, using the free
>> Intel driver (so not sure if Holger’s re-assignment to fglrx-driver is
>> correct).
> 
> FWIW, the bug you're describing in the free Intel driver is tracked
> at [1].
> 
> Thanks,
> Jonathan

And why did you reassign it back to fglrx?


-- 
/*
Mit freundlichem Gruß / With kind regards,
 Patrick Matthäi
 GNU/Linux Debian Developer

E-Mail: pmatthaei@debian.org
        patrick@linux-dev.org
*/

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#642703; Package fglrx-driver. (Sun, 25 Sep 2011 20:51:57 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Sun, 25 Sep 2011 20:51:57 GMT) Full text and rfc822 format available.

Message #46 received at 642703@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Patrick Matthäi <pmatthaei@debian.org>
Cc: 642703@bugs.debian.org, Jack Saunders <saunders.jack@gmail.com>
Subject: Re: [Pkg-fglrx-devel] general: Scan lines appear in drop-down menus. LibreOffice also shows artifacts when starting. Might be something to do with the version of fglrx.
Date: Sun, 25 Sep 2011 15:47:39 -0500
Patrick Matthäi wrote:
> On 25.09.2011 22:29, Jonathan Nieder wrote:
>> reassign 642703 fglrx-driver
[...]
> And why did you reassign it back to fglrx?

Because Joachim and Philip weren't describing Bug#642703, which had
the description:

	Scan lines appear in drop-down menus. LibreOffice also shows
	artifacts when starting. Might be something to do with the
	version of fglrx.

	Accessing drop-down menus in LibreOffice shows scan lines.
	Starting LibreOffice shows artifacts on-screen. Then loads OK

At least, I assume Jack was using fglrx.  Cc-ing him in case more
information is needed before it is possible to investigate this (which
I assume is so).

Hope that helps,
Jonathan




Bug reassigned from package 'fglrx-driver' to 'general'. Request was from Andrew O. Shadura <bugzilla@tut.by> to control@bugs.debian.org. (Sun, 25 Sep 2011 20:52:02 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Andrew O. Shadura <bugzilla@tut.by> to control@bugs.debian.org. (Sun, 25 Sep 2011 20:57:10 GMT) Full text and rfc822 format available.

Bug reassigned from package 'general' to 'linux-2.6'. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sun, 25 Sep 2011 23:00:48 GMT) Full text and rfc822 format available.

Forcibly Merged 641665 642703. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sun, 25 Sep 2011 23:00:50 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#642703; Package linux-2.6. (Mon, 26 Sep 2011 02:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 26 Sep 2011 02:45:03 GMT) Full text and rfc822 format available.

Message #59 received at 642703@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Holger Levsen <holger@layer-acht.org>
Cc: 642703@bugs.debian.org, 642703-submitter@bugs.debian.org, fglrx-driver@packages.debian.org
Subject: Re: Processed: Re: Bug#642703: general: Scan lines appear in drop-down menus. LibreOffice also shows artifacts when starting. Might be something to do with the version of fglrx.
Date: Sun, 25 Sep 2011 21:42:17 -0500
Hi,

Debian Bug Tracking System wrote:
> Processing commands for control@bugs.debian.org:

>> reassign 642703 linux-2.6
>Bug #642703 [general] general: Scan lines appear in drop-down menus. LibreOffice also shows artifacts when starting. Might be something to do with the version of fglrx.
>Bug reassigned from package 'general' to 'linux-2.6'.
>> forcemerge 641665 642703
> Bug#641665: 915GM (Eee PC 900): fonts have some corrupted glyphs: strikethrough
> Bug#642703: general: Scan lines appear in drop-down menus. LibreOffice also shows artifacts when starting. Might be something to do with the version of fglrx.

The reporter uses fglrx.  How can these possibly be the same bug?




Message sent on to Jack Saunders <saunders.jack@gmail.com>:
Bug#642703. (Mon, 26 Sep 2011 02:45:05 GMT) Full text and rfc822 format available.

Disconnected #641665 from all other report(s). Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 26 Sep 2011 02:52:34 GMT) Full text and rfc822 format available.

Unset Bug forwarded-to-address Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 26 Sep 2011 02:52:35 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 3.0.0-3. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 26 Sep 2011 02:52:36 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#642703; Package linux-2.6. (Mon, 26 Sep 2011 06:49:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 26 Sep 2011 06:49:35 GMT) Full text and rfc822 format available.

Message #73 received at 642703@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: control@bugs.debian.org
Cc: 642703@bugs.debian.org
Subject: Re: Processed: Re: Bug#642703: general: Scan lines appear in drop-down menus. LibreOffice also shows artifacts when starting. Might be something to do with the version of fglrx.
Date: Mon, 26 Sep 2011 08:46:33 +0200
unmerge 642703
reassign 642703 fglrx-driver
thanks

On Montag, 26. September 2011, Jonathan Nieder wrote:
> The reporter uses fglrx.  How can these possibly be the same bug?

pebkac, I misread 642703#34

sorry for the noise.




Bug reassigned from package 'linux-2.6' to 'fglrx-driver'. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Mon, 26 Sep 2011 06:49:39 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#642703; Package fglrx-driver. (Mon, 26 Sep 2011 07:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to pmatthaei@debian.org:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Mon, 26 Sep 2011 07:39:07 GMT) Full text and rfc822 format available.

Message #80 received at 642703@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Holger Levsen <holger@layer-acht.org>, 642703-submitter@bugs.debian.org, fglrx-driver@packages.debian.org, 642703@bugs.debian.org
Subject: Re: [Pkg-fglrx-devel] Processed: Re: Bug#642703: general: Scan lines appear in drop-down menus. LibreOffice also shows artifacts when starting. Might be something to do with the version of fglrx.
Date: Mon, 26 Sep 2011 09:24:43 +0200
Am 26.09.2011 04:42, schrieb Jonathan Nieder:
> Hi,
>
> Debian Bug Tracking System wrote:
>> Processing commands for control@bugs.debian.org:
>
>>> reassign 642703 linux-2.6
>> Bug #642703 [general] general: Scan lines appear in drop-down menus. LibreOffice also shows artifacts when starting. Might be something to do with the version of fglrx.
>> Bug reassigned from package 'general' to 'linux-2.6'.
>>> forcemerge 641665 642703
>> Bug#641665: 915GM (Eee PC 900): fonts have some corrupted glyphs: strikethrough
>> Bug#642703: general: Scan lines appear in drop-down menus. LibreOffice also shows artifacts when starting. Might be something to do with the version of fglrx.
>
> The reporter uses fglrx.  How can these possibly be the same bug?

Because fglrx is not responsible for every fault if you use it, just 
because it is non-free..

There is much more software involved in this scenario, like gtk, libc, 
xorg, Linux, etc..




Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#642703; Package fglrx-driver. (Mon, 26 Sep 2011 07:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Mon, 26 Sep 2011 07:39:10 GMT) Full text and rfc822 format available.

Message #85 received at 642703@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Jack Saunders <saunders.jack@gmail.com>
Cc: 642703@bugs.debian.org
Subject: Re: [Pkg-fglrx-devel] general: Scan lines appear in drop-down menus. LibreOffice also shows artifacts when starting. Might be something to do with the version of fglrx.
Date: Mon, 26 Sep 2011 02:32:33 -0500
Hi Jack,

Jack Saunders wrote:

> Yes this is showing up when using the fglrx driver in Wheezy with its
> standard kernel. It is also present - but to a somewhat lesser extent,
> with the open source xorg-radeon driver in Wheezy. The problem does
> not show at all in Squeezy using either the fglrx driver or the open
> source driver. So squeezy is perfect here in this regard. The problem
> is still there in Wheezy when using the earlier Squeezy 2.6.32 kernel.
> So could be an Xorg problem problem rather than an fglrx problem - or
> both. 8-o.
>
> Let me know if you need anything else.

Could you attach:

 - a screenshot or photograph of the screen exhibiting the problem
 - output from

	/usr/share/bug/linux-image-$(uname -r)/script 3>&1

 - output from

	/usr/share/bug/fglrx-driver/script 3>&1

How reproducible is this?  I.e., does it always happen right away,
or does it take five minutes or so?  Do any particular actions make
it easier to trigger?

Ideally, if you can trigger it at will, please boot without the fglrx
driver, trigger the problem using the open source driver, and then
attach "dmesg" output.

How long ago did this start happening (if you remember)?  Can you
reproduce it using the kernel from squeeze with the open source radeon
X driver from wheezy, or using the kernel from wheezy with the radeon
X driver from squeeze?

That's all I can think of for now.  The screenshot or photograph would
be the most helpful bit, I think.

Thanks much,
Jonathan




Message sent on to Jack Saunders <saunders.jack@gmail.com>:
Bug#642703. (Mon, 26 Sep 2011 07:39:12 GMT) Full text and rfc822 format available.

Information stored :
Bug#642703; Package fglrx-driver. (Mon, 26 Sep 2011 08:27:51 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jack Saunders <saunders.jack@gmail.com>:
Extra info received and filed, but not forwarded. (Mon, 26 Sep 2011 08:27:52 GMT) Full text and rfc822 format available.

Message #93 received at 642703-quiet@bugs.debian.org (full text, mbox):

From: Jack Saunders <saunders.jack@gmail.com>
To: pmatthaei@debian.org, 642703-quiet@bugs.debian.org
Subject: Re: Bug#642703: [Pkg-fglrx-devel] Processed: Re: Bug#642703: general: Scan lines appear in drop-down menus. LibreOffice also shows artifacts when starting. Might be something to do with the version of fglrx.
Date: Mon, 26 Sep 2011 10:22:09 +0200
[Message part 1 (text/plain, inline)]
Patrick wrote:

*There is much more software involved in this scenario, like gtk, libc,
xorg,
Linux, etc..*

You bet! That is why this is likely to be quite a difficult problem to
diagnose and sort out. Setting up all the different scenario test
combinations is going to take time and effort here - unless we get lucky.

Best regards

Jack

On 26 September 2011 09:24, Patrick Matthäi <pmatthaei@debian.org> wrote:
> Am 26.09.2011 04:42, schrieb Jonathan Nieder:
>>
>> Hi,
>>
>> Debian Bug Tracking System wrote:
>>>
>>> Processing commands for control@bugs.debian.org:
>>
>>>> reassign 642703 linux-2.6
>>>
>>> Bug #642703 [general] general: Scan lines appear in drop-down menus.
>>> LibreOffice also shows artifacts when starting. Might be something to do
>>> with the version of fglrx.
>>> Bug reassigned from package 'general' to 'linux-2.6'.
>>>>
>>>> forcemerge 641665 642703
>>>
>>> Bug#641665: 915GM (Eee PC 900): fonts have some corrupted glyphs:
>>> strikethrough
>>> Bug#642703: general: Scan lines appear in drop-down menus. LibreOffice
>>> also shows artifacts when starting. Might be something to do with the
>>> version of fglrx.
>>
>> The reporter uses fglrx.  How can these possibly be the same bug?
>
> Because fglrx is not responsible for every fault if you use it, just
because
> it is non-free..
>
> There is much more software involved in this scenario, like gtk, libc,
xorg,
> Linux, etc..
>
>
>



-- 
Best regards
mit herzlichen Grüßen
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#642703; Package fglrx-driver. (Mon, 26 Sep 2011 08:39:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Mon, 26 Sep 2011 08:39:45 GMT) Full text and rfc822 format available.

Message #98 received at 642703@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 642703@bugs.debian.org
Subject: [saunders.jack@gmail.com: Re: [Pkg-fglrx-devel] general: Scan lines appear in drop-down menus. LibreOffice also shows artifacts when starting. Might be something to do with the version of fglrx.]
Date: Mon, 26 Sep 2011 03:37:46 -0500
[Message part 1 (text/plain, inline)]

[Message part 2 (message/rfc822, inline)]
From: Jack Saunders <saunders.jack@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: [Pkg-fglrx-devel] general: Scan lines appear in drop-down menus. LibreOffice also shows artifacts when starting. Might be something to do with the version of fglrx.
Date: Mon, 26 Sep 2011 10:10:40 +0200
Hi Jonathan

This has been reproducible since the fresh Wheezy install. It will be
hard to make a screen-dump of this because of the speed at which the
artifacts arrive and depart. It all happens within the time it takes
to click a menu item in say LibreOffice and the full menu appearing in
its full-length drop-down state. It is only visible at all because of
the inherently slow frame rate that exists here. glxgears indicate an
average of 55fps - an inaccurate test I know, but does at least show
the ball-park figure. My eyesight/brain has always been able to pick
up this sort of problem. The slow frame rate is really the essence of
this problem. Finding the solution though is something else entirely.

I'll get the rest of the requested stuff off to you ASAP - today probably.

Best regards

Jack

On 26 September 2011 09:32, Jonathan Nieder <jrnieder@gmail.com> wrote:
> Hi Jack,
>
> Jack Saunders wrote:
>
>> Yes this is showing up when using the fglrx driver in Wheezy with its
>> standard kernel. It is also present - but to a somewhat lesser extent,
>> with the open source xorg-radeon driver in Wheezy. The problem does
>> not show at all in Squeezy using either the fglrx driver or the open
>> source driver. So squeezy is perfect here in this regard. The problem
>> is still there in Wheezy when using the earlier Squeezy 2.6.32 kernel.
>> So could be an Xorg problem problem rather than an fglrx problem - or
>> both. 8-o.
>>
>> Let me know if you need anything else.
>
> Could you attach:
>
>  - a screenshot or photograph of the screen exhibiting the problem
>  - output from
>
>        /usr/share/bug/linux-image-$(uname -r)/script 3>&1
>
>  - output from
>
>        /usr/share/bug/fglrx-driver/script 3>&1
>
> How reproducible is this?  I.e., does it always happen right away,
> or does it take five minutes or so?  Do any particular actions make
> it easier to trigger?
>
> Ideally, if you can trigger it at will, please boot without the fglrx
> driver, trigger the problem using the open source driver, and then
> attach "dmesg" output.
>
> How long ago did this start happening (if you remember)?  Can you
> reproduce it using the kernel from squeeze with the open source radeon
> X driver from wheezy, or using the kernel from wheezy with the radeon
> X driver from squeeze?
>
> That's all I can think of for now.  The screenshot or photograph would
> be the most helpful bit, I think.
>
> Thanks much,
> Jonathan
>



-- 
Best regards
mit herzlichen Grüßen

Removed indication that 642703 affects xserver-xorg-video-intel Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 26 Sep 2011 19:31:02 GMT) Full text and rfc822 format available.

Information stored :
Bug#642703; Package fglrx-driver. (Tue, 27 Sep 2011 13:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jack Saunders <saunders.jack@gmail.com>:
Extra info received and filed, but not forwarded. (Tue, 27 Sep 2011 13:21:03 GMT) Full text and rfc822 format available.

Message #105 received at 642703-quiet@bugs.debian.org (full text, mbox):

From: Jack Saunders <saunders.jack@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>, 642703-quiet@bugs.debian.org
Subject: Re: Bug#642703: Processed: Re: Bug#642703: general: Scan lines appear in drop-down menus. LibreOffice also shows artifacts when starting. Might be something to do with the version of fglrx.
Date: Tue, 27 Sep 2011 15:20:00 +0200
[Message part 1 (text/plain, inline)]
Hi Jonathan

I've just applied the latest update for Debian Wheezy KDE. This has borked
the desktop entirely. The update included alternative glx stuff. Is there an
apt command to safely downgrade the system?

I've had a go yesterday with Linux Mint Debian - but the Gnome version with
a 2.6.39 kernel version. As you may know this Distro points to the Wheezy
repos. This system is not showing any of the problems that I have had with
the Wheezy KDE version that I downloaded a couple of days ago. It seems then
that KDE or GTK has problems in Squeezy

Would it be more useful to you if I stick with this KDE version and try to
get it back on the rails, or is there any sense in me deleting this version
and going for the Gnome one instead?

Let me know what you think

Best regards

Jack

On 26 September 2011 04:42, Jonathan Nieder <jrnieder@gmail.com> wrote:

> Hi,
>
> Debian Bug Tracking System wrote:
> > Processing commands for control@bugs.debian.org:
>
> >> reassign 642703 linux-2.6
> >Bug #642703 [general] general: Scan lines appear in drop-down menus.
> LibreOffice also shows artifacts when starting. Might be something to do
> with the version of fglrx.
> >Bug reassigned from package 'general' to 'linux-2.6'.
> >> forcemerge 641665 642703
> > Bug#641665: 915GM (Eee PC 900): fonts have some corrupted glyphs:
> strikethrough
> > Bug#642703: general: Scan lines appear in drop-down menus. LibreOffice
> also shows artifacts when starting. Might be something to do with the
> version of fglrx.
>
> The reporter uses fglrx.  How can these possibly be the same bug?
>
>
>


-- 
Best regards
mit herzlichen Grüßen
[Message part 2 (text/html, inline)]

Information stored :
Bug#642703; Package fglrx-driver. (Tue, 27 Sep 2011 13:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jack Saunders <saunders.jack@gmail.com>:
Extra info received and filed, but not forwarded. (Tue, 27 Sep 2011 13:27:09 GMT) Full text and rfc822 format available.

Message #110 received at 642703-quiet@bugs.debian.org (full text, mbox):

From: Jack Saunders <saunders.jack@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>, 642703-quiet@bugs.debian.org
Subject: Re: Bug#642703: Processed: Re: Bug#642703: general: Scan lines appear in drop-down menus. LibreOffice also shows artifacts when starting. Might be something to do with the version of fglrx.
Date: Tue, 27 Sep 2011 15:22:43 +0200
[Message part 1 (text/plain, inline)]
Sorry -mistake in last email

"It seems then that KDE or GTK has problems in Squeezy" - should have been:
It seems then that KDE or GTK has problems in Wheezy.

On 26 September 2011 04:42, Jonathan Nieder <jrnieder@gmail.com> wrote:

> Hi,
>
> Debian Bug Tracking System wrote:
> > Processing commands for control@bugs.debian.org:
>
> >> reassign 642703 linux-2.6
> >Bug #642703 [general] general: Scan lines appear in drop-down menus.
> LibreOffice also shows artifacts when starting. Might be something to do
> with the version of fglrx.
> >Bug reassigned from package 'general' to 'linux-2.6'.
> >> forcemerge 641665 642703
> > Bug#641665: 915GM (Eee PC 900): fonts have some corrupted glyphs:
> strikethrough
> > Bug#642703: general: Scan lines appear in drop-down menus. LibreOffice
> also shows artifacts when starting. Might be something to do with the
> version of fglrx.
>
> The reporter uses fglrx.  How can these possibly be the same bug?
>
>
>


-- 
Best regards
mit herzlichen Grüßen
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#642703; Package fglrx-driver. (Tue, 27 Sep 2011 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Tue, 27 Sep 2011 20:27:03 GMT) Full text and rfc822 format available.

Message #115 received at 642703@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Jack Saunders <saunders.jack@gmail.com>
Cc: 642703@bugs.debian.org
Subject: Re: fglrx: drop-down menus taking a long time to render
Date: Tue, 27 Sep 2011 15:25:55 -0500
Jack Saunders wrote:

> I've just applied the latest update for Debian Wheezy KDE.  This has borked
> the desktop entirely. The update included alternative glx stuff. Is there an
> apt command to safely downgrade the system?

One can downgrade individual packages with

	apt-get install package=version

but the version you are downgrading to will need to be available from
a repository listed in sources.list.  /var/log/dpkg.log and
/var/log/apt/history.log list the upgrades you've performed recently,
and http://snapshot.debian.org/ can be useful for grabbing older
packages.

[...]
> Would it be more useful to you if I stick with this KDE version and try to
> get it back on the rails, or is there any sense in me deleting this version
> and going for the Gnome one instead?

My (selfish and generic) advice is to get the driver problem to happen
again and then change as little as possible.  It should be possible to
change one variable at a time so it is more obvious which component is
responsible for any particular change in behavior you observe.

> Let me know what you think

Hope that helps, and sorry for the fuss,
Jonathan




Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Wed, 28 Sep 2011 08:03:04 GMT) Full text and rfc822 format available.

Notification sent to Jack Saunders <saunders.jack@gmail.com>:
Bug acknowledged by developer. (Wed, 28 Sep 2011 08:03:04 GMT) Full text and rfc822 format available.

Message #120 received at 642703-done@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Jack Saunders <saunders.jack@gmail.com>
Cc: 642703-done@bugs.debian.org, kde@packages.debian.org
Subject: Re: fglrx: drop-down menus taking a long time to render
Date: Wed, 28 Sep 2011 02:58:59 -0500
Jack Saunders wrote:

> Reversing the KDE upgrade is going to be a bit of a monumental task, so I
> won't go down that route. Debian are doing an archive upgrade on their
> servers today so that puts the kybosh on it in any case.
>
> What I did do last night is install the Gnome desktop from the current repo.
> This went without a hitch and am now back inside the system. The slow video
> problems are no longer there - so the finger is now firmly pointed at
> something in the KDE setup, rather than a video driver problem as such.
>
> It really looks as if the the KDE version for Wheezy is broken for the
> moment. I downloaded a snapshot originally, so this may have been a dodgy
> version. In the next few days I'll try a fresh install of the KDE vesrion
> and see how that looks.
>
> In the meantime I like what I'm seeing in the Gnome version of Wheezy - fast
> and solid. Ubuntu Oneiric has major problems in getting the Gnome 3 desktop
> working alongside Unity. They would have been far better off sticking with
> Gnome 2 as Debian have done.
>
> Only one minor problem with the Brother scanner driver not getting
> recognised. I've contacted Brother support and their Linux support people
> are investigating this.

Thanks for the update.  It does sound like something in the KDE setup
(kwin?) was tickling the driver the wrong way.  I'm cc-ing the Debian
KDE maintainers in case they have a live CD you can test, but
otherwise I don't see how to proceed in easily tracking this down
further. :/

Hence closing the bug.  Please don't hesitate to write once you are
able to make it happen again.




Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#642703; Package fglrx-driver. (Wed, 28 Sep 2011 08:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Wed, 28 Sep 2011 08:09:06 GMT) Full text and rfc822 format available.

Message #125 received at 642703@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Jack Saunders <saunders.jack@gmail.com>
Cc: 642703@bugs.debian.org
Subject: Re: fglrx: drop-down menus taking a long time to render
Date: Wed, 28 Sep 2011 03:05:21 -0500
Jonathan Nieder wrote:

> otherwise I don't see how to proceed in easily tracking this down
> further.

Just for reference, though, could you _please_ attach output from
the

	/usr/share/bug/linux-image-$(uname -r)/script 3>&1

and

	/usr/share/bug/fglrx-driver/script 3>&1

commands?  Thanks.




Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#642703; Package fglrx-driver. (Wed, 28 Sep 2011 09:39:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Wed, 28 Sep 2011 09:39:18 GMT) Full text and rfc822 format available.

Message #130 received at 642703@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Jack Saunders <saunders.jack@gmail.com>
Cc: 642703@bugs.debian.org
Subject: Re: fglrx: drop-down menus taking a long time to render
Date: Wed, 28 Sep 2011 04:33:45 -0500
[Message part 1 (text/plain, inline)]
(cc-ing the bug log)
Jack Saunders wrote:

> Attached are the 2 script outputs you asked for.
>
> Let me know if you need anything else.

Perfect; thanks, Jack.  Just let us know if it happens again, and we
should be all set.

Sorry to make things so complicated.
[Message part 2 (message/rfc822, inline)]
From: Jack Saunders <saunders.jack@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: fglrx: drop-down menus taking a long time to render
Date: Wed, 28 Sep 2011 10:17:52 +0100
[Message part 3 (text/plain, inline)]
Hi Jonathan

Attached are the 2 script outputs you asked for.

Let me know if you need anything else.

Best regards

Jack

On 28 September 2011 09:44, Jonathan Nieder <jrnieder@gmail.com> wrote:

> Jack Saunders wrote:
>
> > I attach the uname output that you asked for.
> >
> > The fglrx one gave null output since this driver was uninstalled  and the
> > system now uses the open source driver. I could re-install the fglrx
> driver
> > if you like and then send the console output to you.
>
> Sorry for the lack of clarity.  I meant that it would be helpful to run the
>
>        /usr/share/bug/linux-image-$(uname -r)/script
>
> and
>
>        /usr/share/bug/xserver-xorg-video-radeon/script
>
> scripts and retrieve the output they write to fd #3 (which would typically
> be done by redirecting fd #3 to stdout).  (No need to re-install the fglrx
> driver --- diagnostic info from the open source driver's script would be
> just as useful.)
>



-- 
Best regards
mit herzlichen Grüßen
[Message part 4 (text/html, inline)]
[att1 (application/octet-stream, attachment)]
[att2 (application/octet-stream, attachment)]

Removed tag(s) moreinfo. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Tue, 04 Oct 2011 13:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#642703; Package fglrx-driver. (Sat, 08 Oct 2011 20:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philip Ashmore <contact@philipashmore.com>:
Extra info received and forwarded to list. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. (Sat, 08 Oct 2011 20:48:07 GMT) Full text and rfc822 format available.

Message #137 received at 642703@bugs.debian.org (full text, mbox):

From: Philip Ashmore <contact@philipashmore.com>
To: 642703@bugs.debian.org
Subject: Re: general: Scan lines appear in drop-down menus. LibreOffice also shows artifacts when starting. Might be something to do with the version of fglrx.
Date: Sat, 08 Oct 2011 21:45:21 +0100
For what it's worth, I didn't know you were talking about screen 
corruption that _went_ _away_.
I've seen that problem with menus on KDE4, but that's not what I was 
talking about.

My problem was to do with font corruption (particular characters in 
particular fonts, not the same
characters) when the system ran out of memory and had to use swap space, 
which also happened after
hibernate as that process starves the system of memory before hibernation.

Anyway, there have been a few updates between then and now, and the 
problem seems to have gone away.

Philip




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Nov 2011 07:31:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:02:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.